# If you modify this file, generate the lock file using `poetry lock` and copy
# the resulting poetry.lock file with this one in https://gitlab.com/tezos/opam-repository
[tool.poetry]
name = "tezos"
version = "0.1.0"
description = "Python tests suites & scripts for Tezos"

readme = "README.md"

authors = [
  "Tezos community <tezos@tezos.com>"
]
repository = "https://gitlab.com/tezos/tezos"
homepage = "https://gitlab.com/tezos/tezos"

keywords = ["tezos"]


[tool.poetry.dependencies]
python = "~3.9"

# developer tools
mypy = "0.942"
mypy-extensions = "0.4.3"
pycodestyle = "2.7.0"
pylint = "2.11.1"
black = "22.3.0"

# tests_python/ python testing and execution framework dependencies
pytest = "6.2.5"
pytest-regtest = { "git" = "https://gitlab.com/nomadic-labs/pytest-regtest", branch="fc5bd9b2" }
pytest-timeout = "1.4.2"
# tests_python/tests_*/test_openapi.py dependencies
requests = "2.26.0"
types-requests = "^2.27.16"
openapi-spec-validator = "0.2.9"
# tests_python/tests_*/test_crypto.py dependencies

# docs/ dependencies
sphinx = "4.2.0"
sphinx-rtd-theme = "0.5.2"

# scripts/b58_prefix dependencies
base58 = "2.1.0"
fire = "0.4.0"

# scripts/ci/coverage.py dependencies
python-gitlab = "2.10.1"

[tool.black]
line-length = 80
skip-string-normalization = true
